ドキュメント

​
​

Development

User Acquisition

Monetization

産業

DataStreaming Client API

v1

サポート対象
​

DataStreaming Client API

v1

サポート対象
​

このページは選択した言語では使用できません。
Unity Services Web APIs
​
​
mdx:openapi:endpoints
  • Assets

3DDS Metadata Service API

Provides endpoints to query 3D model hierarchy and metadata.
Download OpenAPI specification:

Get the requested metadata for all instances inside a group.


Allows 3DDS viewers to download metadata of instances contained in a specific tile in order to enable efficient filtering and highlighting of displayed instances.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "{title}"

projectId

string
必須
The identifier of the Unity project containing the asset.

assetId

string
必須
The identifier of the asset.

assetVersion

string
必須
The asset version.

datasetId

string
必須
The identifier of the dataset within the asset.

groupId

string
必須
The identifier of the group.

Query parameters for "{title}"

fields

array
The list of root level fields to return in the response. If unspecified, all fields will be returned.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/data-streaming/v1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/instances/groups/{groupId}"

Response example

{ "results": [ { "id": "string", "parentId": "string" } ]}

Get the requested metadata info from an asset's dataset.


Allows navigating and filtering the hierarchy of the 3D model.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "{title}"

projectId

string
必須
The identifier of the Unity project containing the asset.

assetId

string
必須
The identifier of the asset.

assetVersion

string
必須
The asset version.

datasetId

string
必須
The identifier of the dataset within the asset.

Query parameters for "{title}"

cursor

string
The cursor from where the next set of items should be returned, obtained from the next property of a previous response.

limit

integer
The maximum number of items that should be returned by the query.

Request body for "{title}"

Media Type:
application/json

ids

array[string]
A subset of elements to filter on.

whereConditions

array[object]
The filter to apply on metadata. All specified conditions must match for a result to be returned.

path

array[string]
The path to the property to filter on.

value

string
The value of the property to filter on.

operator

string
The operator to use when comparing values specified in WhereCondition.

selectedKeys

array[string]
The metadata keys to return. Use null to return all keys and empty array to return no keys.

parentId

string
The root element in the hierarchy to search from.

maxDepth

integer
The maximum depth to search for in the hierarchy relative to ParentId.

fields

array[string]
The list of root level fields to return in the response. If unspecified, all fields will be returned.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "string" ], "whereConditions": [ { "path": [ "string" ], "value": "string", "operator": "Equals" } ], "selectedKeys": [ "string" ], "parentId": "string", "maxDepth": 0, "fields": [ "string" ]}' \ "https://services.api.unity.com/assets/data-streaming/v1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/instances/filter"

Response example

{ "results": [ { "id": "string", "name": "string", "ancestorIds": [ "string" ], "hasChildren": true, "requestedMetadata": null, "geometry": { "worldTransform": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "boundingBox": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "content": { "uri": "string", "range": { "offset": null, "length": null } } } } ], "next": "string"}

Get all possible root keys in the asset's dataset


All distinct root level metadata keys found in the 3D model will be returned.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "{title}"

projectId

string
必須
The identifier of the Unity project containing the asset.

assetId

string
必須
The identifier of the asset.

assetVersion

string
必須
The asset version.

datasetId

string
必須
The identifier of the dataset within the asset.

Query parameters for "{title}"

offset

integer
The pagination offset.

limit

integer
The maximum number of keys to return.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/data-streaming/v1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/instances/keys"

Response example

{ "keys": [ "string" ], "offset": 0, "limit": 0, "total": 0}

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。